Bug 703734

Summary: Assertion `NM_IS_CONNECTION (connection)' failed
Product: [Fedora] Fedora Reporter: Zdenek Kabelac <zkabelac>
Component: NetworkManagerAssignee: Dan Williams <dcbw>
Status: CLOSED EOL QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: unspecified Docs Contact:
Priority: unspecified    
Version: 19CC: dcbw, rvykydal
Target Milestone: ---   
Target Release: ---   
Hardware: Unspecified   
OS: Unspecified   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2015-02-17 08:44:52 EST Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
Attachments:
Description Flags
assert log
none
Backtrace snapshot none

Description Zdenek Kabelac 2011-05-11 04:45:38 EDT
Created attachment 498224 [details]
assert log

Description of problem:

My log is filled from time to time with this assert message:

 #6  0x00007fa8629d1415 in raise (sig=6) at ../nptl/sysdeps/unix/sysv/linux/raise.c:64
 #7  0x00007fa8629d2d2b in abort () at abort.c:92
 #8  0x00007fa8632288fd in g_assertion_message (domain=<optimized out>, file=<optimized out>, line=<optimized out>, func=0x4b0280 "nm_settings_connection_recheck_visibility", message=0x1b94310 "assertion failed: (s_con)") at gtestutils.c:1417
 #9  0x00007fa863228e22 in g_assertion_message_expr (domain=0x0, file=0x4af73d "nm-settings-connection.c", line=132, func=0x4b0280 "nm_settings_connection_recheck_visibility", expr=<optimized out>) at gtestutils.c:1428
 #10 0x0000000000483f38 in nm_settings_connection_recheck_visibility (self=0x1b7f850) at nm-settings-connection.c:132
 #11 0x00007fa863af793e in g_closure_invoke (closure=0x1b5c8f0, return_value=0x0, n_param_values=1, param_values=0x1b62860, invocation_hint=0x7fffcfafcb70) at gclosure.c:771


(Full trace in attachment)

Version-Release number of selected component (if applicable):
NetworkManager-0.8.999-1.fc16.x86_64


How reproducible:
Happens probbably during wifi connection

Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 Radek Vykydal 2011-05-20 08:31:20 EDT
Created attachment 500051 [details]
Backtrace snapshot

Not sure if it is the same issue, I am seeing the same error message in the same version of NM (i686):

: nm_connection_get_setting: assertion `NM_IS_CONNECTION (connection)' failed
: <warn> caught signal 6. Generating backtrace...

It happens in Anaconda environment when starting ConsoleKit service by an OpenSession() call.
Comment 2 Fedora End Of Life 2013-04-03 10:22:32 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 19 development cycle.
Changing version to '19'.

(As we did not run this process for some time, it could affect also pre-Fedora 19 development
cycle bugs. We are very sorry. It will help us with cleanup during Fedora 19 End Of Life. Thank you.)

More information and reason for this action is here:
https://fedoraproject.org/wiki/BugZappers/HouseKeeping/Fedora19
Comment 3 Fedora End Of Life 2015-01-09 11:39:39 EST
This message is a notice that Fedora 19 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 19. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained. Approximately 4 (four) weeks from now this bug will
be closed as EOL if it remains open with a Fedora 'version' of '19'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 19 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 4 Fedora End Of Life 2015-02-17 08:44:52 EST
Fedora 19 changed to end-of-life (EOL) status on 2015-01-06. Fedora 19 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.